For the complete documentation index, see llms.txt. This page is also available as Markdown.

Projekte

Manage CRM projects in VARIO Cloud via API, including project data, reminders, subscriptions, workflows, billing, and parent-child relations.

CRM Projekte

Entfernt eine Subscription auf dem Geschäftsobjekt für den Aufrufer

put
Path parameters
idinteger · int64Required

an identifier

Responses
200

OK

No content

put/erp/crm-projects/{id}/subscription/deactivate
PUT /erp/crm-projects/{id}/subscription/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

Setzt eine Subscription auf dem Geschäftsobjekt für den Aufrufer

put
Path parameters
idinteger · int64Required

an identifier

Responses
200

OK

No content

put/erp/crm-projects/{id}/subscription/activate
PUT /erp/crm-projects/{id}/subscription/activate HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

get
Path parameters
idinteger · int64Required
reminderIdinteger · int64Required
Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

get/erp/crm-projects/{id}/reminders/{reminderId}
GET /erp/crm-projects/{id}/reminders/{reminderId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
put
Path parameters
idinteger · int64Required
reminderIdinteger · int64Required
Body

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

put/erp/crm-projects/{id}/reminders/{reminderId}
PUT /erp/crm-projects/{id}/reminders/{reminderId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "version": "text",
  "info": {},
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text"
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
delete
Path parameters
idinteger · int64Required
reminderIdinteger · int64Required
Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-projects/{id}/reminders/{reminderId}
DELETE /erp/crm-projects/{id}/reminders/{reminderId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

CRM Projekte

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstringOptional

Aufgabentitel

effortEstimationinteger · int32Optional

Gesamt Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Gesamt beauftragte Zeit in Sekunden

plannedProjectPeriodFromstring · dateOptional

Geplanter Projektzeitraum (von)

plannedProjectPeriodTostring · dateOptional

Geplanter Projektzeitraum (bis)

actualProjectPeriodFromstring · dateOptional

Tatsächlicher Projektzeitraum (von)

actualProjectPeriodTostring · dateOptional

Tatsächlicher Projektzeitraum (bis)

contractConclusionDatestring · dateOptional

Datum Vertragsabschluss

recordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden

billedTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden

get/erp/crm-projects/{id}
GET /erp/crm-projects/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "purchaseDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "phaseRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "plannedProjectPeriodFrom": "2026-01-01",
  "plannedProjectPeriodTo": "2026-01-01",
  "actualProjectPeriodFrom": "2026-01-01",
  "actualProjectPeriodTo": "2026-01-01",
  "contractConclusionDate": "2026-01-01",
  "projectManagerOfCustomer": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "description": "text"
  },
  "projectManagerOfContractor": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "description": "text"
  },
  "checklist": [],
  "recordedTimes": 1,
  "billedTimes": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Request zur Erstellung oder Aktualisierung eines Projekts

Responses
200

successful operation

application/json

CRM Projekte

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstringOptional

Aufgabentitel

effortEstimationinteger · int32Optional

Gesamt Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Gesamt beauftragte Zeit in Sekunden

plannedProjectPeriodFromstring · dateOptional

Geplanter Projektzeitraum (von)

plannedProjectPeriodTostring · dateOptional

Geplanter Projektzeitraum (bis)

actualProjectPeriodFromstring · dateOptional

Tatsächlicher Projektzeitraum (von)

actualProjectPeriodTostring · dateOptional

Tatsächlicher Projektzeitraum (bis)

contractConclusionDatestring · dateOptional

Datum Vertragsabschluss

recordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden

billedTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden

put/erp/crm-projects/{id}
PUT /erp/crm-projects/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1336

{
  "toCreateOrUpdate": {
    "version": "text",
    "info": {},
    "id": "text",
    "typeRef": {
      "id": "text"
    },
    "stateRef": {
      "id": "text"
    },
    "priorityRef": {
      "id": "text"
    },
    "description": "text",
    "notes": "text",
    "accountRef": {
      "id": "text"
    },
    "parentRefs": [],
    "childRefs": [],
    "tags": [],
    "salesDocumentRefs": [],
    "contractRefs": [],
    "observerRefs": [],
    "purchaseDocumentRefs": [],
    "customField": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "phaseRef": {
      "id": "text"
    },
    "label": "text",
    "effortEstimation": 1,
    "effortCommissioned": 1,
    "plannedProjectPeriodFrom": "2026-01-01",
    "plannedProjectPeriodTo": "2026-01-01",
    "actualProjectPeriodFrom": "2026-01-01",
    "actualProjectPeriodTo": "2026-01-01",
    "contractConclusionDate": "2026-01-01",
    "projectManagerOfCustomer": {
      "version": "text",
      "info": {},
      "id": "text",
      "accountPersonRef": {
        "id": "text"
      },
      "description": "text"
    },
    "projectManagerOfContractor": {
      "version": "text",
      "info": {},
      "id": "text",
      "accountPersonRef": {
        "id": "text"
      },
      "description": "text"
    },
    "checklist": [],
    "additionalParticipantsOfCustomer": [],
    "additionalParticipantsOfContractor": []
  },
  "parameters": []
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "purchaseDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "phaseRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "plannedProjectPeriodFrom": "2026-01-01",
  "plannedProjectPeriodTo": "2026-01-01",
  "actualProjectPeriodFrom": "2026-01-01",
  "actualProjectPeriodTo": "2026-01-01",
  "contractConclusionDate": "2026-01-01",
  "projectManagerOfCustomer": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "description": "text"
  },
  "projectManagerOfContractor": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "description": "text"
  },
  "checklist": [],
  "recordedTimes": 1,
  "billedTimes": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-projects/{id}
DELETE /erp/crm-projects/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Patch existing Resource

patch
Path parameters
idinteger · int64Required

an identifier

Body

Search-Dialog

emptybooleanOptional
arraybooleanOptional
nullbooleanOptional
objectbooleanOptional
floatbooleanOptional
missingNodebooleanOptional
nodeTypestring · enumOptionalPossible values:
valueNodebooleanOptional
containerbooleanOptional
integralNumberbooleanOptional
floatingPointNumberbooleanOptional
stringbooleanOptional
pojobooleanOptional
shortbooleanOptional
intbooleanOptional
longbooleanOptional
doublebooleanOptional
bigDecimalbooleanOptional
bigIntegerbooleanOptional
textualbooleanOptionalDeprecated
booleanbooleanOptional
binarybooleanOptional
numberbooleanOptional
embeddedValuebooleanOptional
Responses
200

successful operation

application/json

CRM Projekte

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstringOptional

Aufgabentitel

effortEstimationinteger · int32Optional

Gesamt Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Gesamt beauftragte Zeit in Sekunden

plannedProjectPeriodFromstring · dateOptional

Geplanter Projektzeitraum (von)

plannedProjectPeriodTostring · dateOptional

Geplanter Projektzeitraum (bis)

actualProjectPeriodFromstring · dateOptional

Tatsächlicher Projektzeitraum (von)

actualProjectPeriodTostring · dateOptional

Tatsächlicher Projektzeitraum (bis)

contractConclusionDatestring · dateOptional

Datum Vertragsabschluss

recordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden

billedTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden

patch/erp/crm-projects/{id}
PATCH /erp/crm-projects/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 363

{
  "empty": true,
  "array": true,
  "null": true,
  "object": true,
  "float": true,
  "missingNode": true,
  "nodeType": "ARRAY",
  "valueNode": true,
  "container": true,
  "integralNumber": true,
  "floatingPointNumber": true,
  "string": true,
  "pojo": true,
  "short": true,
  "int": true,
  "long": true,
  "double": true,
  "bigDecimal": true,
  "bigInteger": true,
  "boolean": true,
  "binary": true,
  "number": true,
  "embeddedValue": true
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "purchaseDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "phaseRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "plannedProjectPeriodFrom": "2026-01-01",
  "plannedProjectPeriodTo": "2026-01-01",
  "actualProjectPeriodFrom": "2026-01-01",
  "actualProjectPeriodTo": "2026-01-01",
  "contractConclusionDate": "2026-01-01",
  "projectManagerOfCustomer": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "description": "text"
  },
  "projectManagerOfContractor": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "description": "text"
  },
  "checklist": [],
  "recordedTimes": 1,
  "billedTimes": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}
get
Path parameters
childIdinteger · int64Required
Responses
200

OK

application/json

Referenz auf ein CRM-Objekt

idinteger · int64Required

ID

typestring · enumRequired

Möglich CRM-Typen

Possible values:
numberstringOptional

Nummer

labelstringOptional

Bezeichung

descriptionstringOptional

Beschreibung

get/erp/crm-projects/parent/{childId}
GET /erp/crm-projects/parent/{childId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
put
Path parameters
childIdinteger · int64Required
Body

Request zur Aktualisierung der CRM-Parents

Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

put/erp/crm-projects/parent/{childId}
PUT /erp/crm-projects/parent/{childId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 14

{
  "parents": []
}
200

OK

{
  "context": "text",
  "messageValue": "text"
}
delete
Path parameters
childIdinteger · int64Required
Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-projects/parent/{childId}
DELETE /erp/crm-projects/parent/{childId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}
get
Path parameters
parentIdinteger · int64Required
Responses
200

OK

application/json

Referenz auf ein CRM-Objekt

idinteger · int64Required

ID

typestring · enumRequired

Möglich CRM-Typen

Possible values:
numberstringOptional

Nummer

labelstringOptional

Bezeichung

descriptionstringOptional

Beschreibung

get/erp/crm-projects/children/{parentId}
GET /erp/crm-projects/children/{parentId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
put
Path parameters
parentIdinteger · int64Required
Body

Request zur Aktualisierung der CRM-Children

Responses
200

OK

application/json

Referenz auf ein CRM-Objekt

idinteger · int64Required

ID

typestring · enumRequired

Möglich CRM-Typen

Possible values:
numberstringOptional

Nummer

labelstringOptional

Bezeichung

descriptionstringOptional

Beschreibung

put/erp/crm-projects/children/{parentId}
PUT /erp/crm-projects/children/{parentId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "children": []
}
200

OK

[]
delete
Path parameters
parentIdinteger · int64Required
Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-projects/children/{parentId}
DELETE /erp/crm-projects/children/{parentId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}
post
Path parameters
idinteger · int64Required
Body

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

post/erp/crm-projects/{id}/reminders/
POST /erp/crm-projects/{id}/reminders/ HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "version": "text",
  "info": {},
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text"
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
post
Path parameters
idinteger · int64Required
Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

post/erp/crm-projects/{id}/perform-billing
POST /erp/crm-projects/{id}/perform-billing HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}

Neues Projekt erzeugen

post
Body
createTemplateIdinteger · int64Optional

Vorlage zum Erstellen eines Projekts

Responses
200

successful operation

application/json

CRM Projekte

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstringOptional

Aufgabentitel

effortEstimationinteger · int32Optional

Gesamt Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Gesamt beauftragte Zeit in Sekunden

plannedProjectPeriodFromstring · dateOptional

Geplanter Projektzeitraum (von)

plannedProjectPeriodTostring · dateOptional

Geplanter Projektzeitraum (bis)

actualProjectPeriodFromstring · dateOptional

Tatsächlicher Projektzeitraum (von)

actualProjectPeriodTostring · dateOptional

Tatsächlicher Projektzeitraum (bis)

contractConclusionDatestring · dateOptional

Datum Vertragsabschluss

recordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden

billedTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden

post/erp/crm-projects
POST /erp/crm-projects HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1348

{
  "createTemplateId": 1,
  "project": {
    "version": "text",
    "info": {},
    "id": "text",
    "typeRef": {
      "id": "text"
    },
    "stateRef": {
      "id": "text"
    },
    "priorityRef": {
      "id": "text"
    },
    "description": "text",
    "notes": "text",
    "accountRef": {
      "id": "text"
    },
    "parentRefs": [],
    "childRefs": [],
    "tags": [],
    "salesDocumentRefs": [],
    "contractRefs": [],
    "observerRefs": [],
    "purchaseDocumentRefs": [],
    "customField": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "phaseRef": {
      "id": "text"
    },
    "label": "text",
    "effortEstimation": 1,
    "effortCommissioned": 1,
    "plannedProjectPeriodFrom": "2026-01-01",
    "plannedProjectPeriodTo": "2026-01-01",
    "actualProjectPeriodFrom": "2026-01-01",
    "actualProjectPeriodTo": "2026-01-01",
    "contractConclusionDate": "2026-01-01",
    "projectManagerOfCustomer": {
      "version": "text",
      "info": {},
      "id": "text",
      "accountPersonRef": {
        "id": "text"
      },
      "description": "text"
    },
    "projectManagerOfContractor": {
      "version": "text",
      "info": {},
      "id": "text",
      "accountPersonRef": {
        "id": "text"
      },
      "description": "text"
    },
    "checklist": [],
    "additionalParticipantsOfCustomer": [],
    "additionalParticipantsOfContractor": []
  },
  "parameters": []
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "purchaseDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "phaseRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "plannedProjectPeriodFrom": "2026-01-01",
  "plannedProjectPeriodTo": "2026-01-01",
  "actualProjectPeriodFrom": "2026-01-01",
  "actualProjectPeriodTo": "2026-01-01",
  "contractConclusionDate": "2026-01-01",
  "projectManagerOfCustomer": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "description": "text"
  },
  "projectManagerOfContractor": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "accountPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "description": "text"
  },
  "checklist": [],
  "recordedTimes": 1,
  "billedTimes": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}

Liefert den Status der aktuellen Workflow-Instanz zu der gegebenen Referenz

get
Path parameters
refIdinteger · int64Required
Responses
200

Workflow-Instanz gefunden

application/json
string · enumOptional

Status einer Workflow-Instanz

Possible values:
get/erp/crm-projects/{refId}/workflow-state
GET /erp/crm-projects/{refId}/workflow-state HTTP/1.1
Host: api.example.com
Accept: */*
CREATED

Liefert ein Query-Preset zur Selektion aller Workflow-Instanzen zu der gegebenen Referenz

get
Path parameters
refIdinteger · int64Required
Responses
200

Workflow-Instanz gefunden

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

get/erp/crm-projects/{refId}/workflow-instances-preset
GET /erp/crm-projects/{refId}/workflow-instances-preset HTTP/1.1
Host: api.example.com
Accept: */*
200

Workflow-Instanz gefunden

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "mode": "QUERY",
  "templateId": "text",
  "templateGroupKey": "text",
  "label": "text",
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "queryStatement": "text",
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "arithmeticQueryTerms": [],
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "permissionAggregation": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "forWorkflow": false,
  "outputReportGroupIdentifier": "text",
  "userOptions": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "pinned": false
  }
}

Liefert die neuste Workflow-Instanz zu der gegebenen Referenz

get
Path parameters
refIdinteger · int64Required
Responses
200

Workflow-Instanz gefunden

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

statestring · enumOptional

Status einer Workflow-Instanz

Possible values:
get/erp/crm-projects/{refId}/latest-workflow-instance
GET /erp/crm-projects/{refId}/latest-workflow-instance HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "state": "CREATED",
  "workflowRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "workItems": [],
  "logEntries": []
}

Liefert alle Subscription auf dem Geschäftsobjekt

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

OK

application/json

Übergeordnete Kategorie

idstringRequired

Identifier

labelstringRead-onlyOptional

a label

descriptionstringRead-onlyOptional

a short description

activebooleanRead-onlyOptional

Activ

get/erp/crm-projects/{id}/subscription
GET /erp/crm-projects/{id}/subscription HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
idinteger · int64Required
Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

get/erp/crm-projects/{id}/reminders
GET /erp/crm-projects/{id}/reminders HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

get/erp/crm-projects/reminders
GET /erp/crm-projects/reminders HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Last updated

Was this helpful?